
local pack   = TexturePack.new("images/gui.txt", "images/gui.png")

local button = ImageButton.new(
  pack:getTextureRegion("button_u.png"),
  pack:getTextureRegion("button_d.png"),
  {
    x               = 32,
    y               = 16,
    name            = "TEST_BUTTON",
    onPressed       = function(e)
      print(e.props.name.." Pressed")
    end,
    onDragged       = function(e)
      print(e.props.name.." Dragged")
    end,
    onReleased      = function(e)
      print(e.props.name.." Released")
    end,
  })

stage:addChild(button)
